Name:           osmo
Version:        0.2.10
Release:        %mkrel 7
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office/Organizer 
Url:            http://clayo.org/osmo
Source0:        http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.gz
Patch0:         osmo-0.2.10-libnotify-0.7.patch

BuildRequires:  gtk+2-devel
BuildRequires:  gtkspell-devel
BuildRequires:  libical-devel
BuildRequires:  libtar-devel
BuildRequires:  libnotify-devel >= 0.7
BuildRequires:  libgringotts-devel
BuildRequires:  gtkhtml2-devel
BuildRequires:  desktop-file-utils

%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.
Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.
It is independent of any particular desktop environment. 

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x LIBICAL_CFLAGS=-I/usr/include/libical
%make

%install
%makeinstall_std

desktop-file-edit \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.10-7.mga3
+ Revision: 362237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 barjac <barjac> 0.2.10-6.mga3
+ Revision: 299040
- Change group to new policy

* Fri Feb 03 2012 barjac <barjac> 0.2.10-5.mga2
+ Revision: 204246
- rebuild due to a missing signature

* Sun Jan 08 2012 barjac <barjac> 0.2.10-4.mga2
+ Revision: 193019
- Added X-Mageia-CrossDesktop to .desktop
- Added BuildRequire: desktop-file-utils for above

* Tue Nov 29 2011 barjac <barjac> 0.2.10-3.mga2
+ Revision: 174304
- Bump release to one above mga1
- Bump release above 2010.2

* Tue Nov 29 2011 barjac <barjac> 0.2.10-1.mga2
+ Revision: 174124
- imported package osmo

